List Contract Deployments
get
/v1/contracts
Returns a list of all contract deployments saved in the registry. It doesn't return the associated ABI or bytecode.
Request
There are no request parameters for this operation.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Returns the contract deployments without ABI or bytecode.
Root Schema : schema
Type:
Show Source
array-
Array of:
object ContractSummary
Summary of the latest metadata for a deployed contract.
Nested Schema : ContractSummary
Type:
objectSummary of the latest metadata for a deployed contract.
Show Source
-
address: string
Contract deployment address.
-
blockNum: [
"string",
"null"
]
Block number for the most recent contract version.
-
contractRole: string
Contract role classification: `regular`, `proxy`, `implementation`, or `library`.
-
currentVersion: integer
Most recent contract version number.
-
implementationAddress: [
"string",
"null"
]
Implementation contract address for `proxy` deployments, when available.
-
metadata:
User-facing metadata associated with the most recent contract version.
-
txHash: [
"string",
"null"
]
Transaction hash associated with the most recent contract version.
-
updatedAt: [
"string",
"null"
]
Timestamp when the summary was last updated.
Examples